<?php
namespace Service\DataWarehouse;

use Zeedhi\Framework\DataSource\FilterCriteria;

interface ManagerInterface {
	/**
	 * @param $fact
	 * @param $row
	 *
	 * @return mixed
	 */
	public function addFact($fact, $row);

	/**
	 * @param                $desiredFacts
	 * @param FilterCriteria $criteria
	 * @param                $start
	 * @param                $end
	 *
	 * @return mixed
	 */
	public function findFact($desiredFacts, FilterCriteria $criteria, $start, $end);
}