import {TextInput} from "@zeedhi/common";

export class Utilities {

    public static lightColorHexadecimalValidity(color: String) {
        const hex = color.replace('#', '');

        const r = parseInt(hex.substr(0, 2), 2);
        const g = parseInt(hex.substr(2, 2), 2);
        const b = parseInt(hex.substr(4, 2), 2);

        const lum = (r * 299 + g * 587 + b * 114) / 1000;
    }

    public static fixBugHintOnfocus(component: TextInput, element: HTMLElement | undefined, count = 1) {
        setTimeout(() => {
            if (element) {
                const messages = element.querySelector('.v-messages__message');
                if (messages) {
                    if (component.hint) {
                        messages.innerHTML = component.hint;
                    }

                } else if (count < 5) {
                    count += 1;
                    Utilities.fixBugHintOnfocus(component, element, count);
                }
            }

        });
    }
}
